﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WaveFlow.Views
{
    /// <summary>
    /// InformationView.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class InformationView : UserControl
    {
        private static InformationView instance = null;
        public static InformationView GetInstance { get { return instance; } }
        public InformationViewVM GetVM { get { return this.DataContext as InformationViewVM; } }



        public InformationView()
        {
            InitializeComponent();
            DataContext = new InformationViewVM();
        }

        private void U_XamDataGrid_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            if (e.Record.Description.Contains(" items)") || e.Record.Description.Contains(" item)"))
            {
                e.Record.Description = e.Record.Description.Substring(0, e.Record.Description.LastIndexOf("("));
                e.Record.IsExpanded = true;
            }
        }
    }
}
