﻿using Core.MVVM;
using Infragistics.Windows.Helpers;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Struct
{
    public class MeasureSetInformationsSt : ObservableModel
    {
        string Mode { get; set; }
        string ProjectName { get; set; }
        string Probe { get; set; }
        string Resolution { get; set; }
        string BackGain { get; set; }
        string SampleGain { get; set; }
        string Average { get; set; }
        string BoxCarEnable { get; set; }
        string BoxCarWidth { get; set; }









        public string Title { get; set; }
        public string Name { get; set; }
        public string Value { get; set; } = "ABCDE";
        public ValueableItem Value2 { get; set; } = new ValueableItem();

        public string TTTTT { get; set; } = "yhJEong";


        private ObservableCollection<string> _comboData;
        public ObservableCollection<string> ComboData
        {
            get
            {
                return _comboData;
            }
            set
            {
                _comboData = value;
                OnPropertyChanged(nameof(ComboData));
            }
        }

        private bool _isThisFieldEditable;
        public bool IsThisFieldEditable
        {
            get
            {
                return _isThisFieldEditable;
            }
            set
            {
                _isThisFieldEditable = value;
                OnPropertyChanged(nameof(IsThisFieldEditable));
            }
        }

        public MeasureSetInformationsSt()
        {
            this.ComboData = new ObservableCollection<string>();
            for (int i = 0; i < 10; i++)
            {
                this.ComboData.Add("Item " + i.ToString());
            }
        }
    }

    public class ValueableItem : ObservableModel
    {
        public ValueableItem(string strValue = null)
        {
            this.Value = strValue;
        }

        public ObservableCollection<int> Probes { get; set; } = null;

        public string Value { get; set; }

        private bool _IsEditable = false;
        public bool IsEditable
        {
            get => this._IsEditable;
            set
            {
                this._IsEditable = value;
                OnPropertyChanged(nameof(IsEditable));
            }
        }
    }
}
